=== debian/changelog ===
ros-lunar-rc-genicam-api (2.1.0-0xenial) xenial; urgency=high

  * Made System, Interface, Device and Stream objects thread safe

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 24 Jan 2019 23:00:00 -0000

ros-lunar-rc-genicam-api (2.0.4-0xenial) xenial; urgency=high

  * A buffer that is labelled to contain chunk data may also contain an image
  * Implemented fallback of open device access from readonly to control to exclusive

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 23 Jan 2019 23:00:00 -0000

ros-lunar-rc-genicam-api (2.0.3-0xenial) xenial; urgency=high

  * Improved description of some device methods
  * Under Windows, do not check install path but only current directory as default location of GenTL producer

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 08 Jan 2019 23:00:00 -0000

ros-lunar-rc-genicam-api (2.0.2-0xenial) xenial; urgency=high

  * Fixed bug in rcg::getEnum() function that may lead to a seg fault
  * Minor changes in cmake build files

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 31 Dec 2018 23:00:00 -0000

ros-lunar-rc-genicam-api (2.0.1-0xenial) xenial; urgency=high

  * Added test mode to gc_stream tool (i.e. disables saving for only testing the connection)
  * Added printing of package size to gc_stream tool
  * Added statistic to gc_stream tool
  * Removed aborting gc_stream with 'Enter' from Linux version as it causes unwanted stops in some situations
  * Minor fixes in build files.

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 20 Dec 2018 23:00:00 -0000

ros-lunar-rc-genicam-api (2.0.0-0xenial) xenial; urgency=high

  NOTE: Including multipart support required minor changes of the existing API. See readme for more
  information. Attention: The provided GenTL layer does not yet support multipart!
  * Extended Buffer and Image classes as well as the examples for handling multi-part buffers as well
    (NOTE: The provided GenTL producer does not yet support multipart!)
  * gc_stream: Using component name for storing individual images and ensuring that files are not
    overwritten
  * gc_pointcloud: Using component name for identifying images and try enabling synchronization on
    device
  * Add libs of GenICam reference implementation to external cmake dependencies of shared
    genicam_api library
  * Upgrading GenICam reference implementation to v3.1
  * Add libs of GenICam reference implementation to external dependencies of shared genicam_api
    library

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 07 Oct 2018 22:00:00 -0000

ros-lunar-rc-genicam-api (1.3.15-0xenial) xenial; urgency=high

  * Added parameter --iponly to gc_config tool

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 26 Sep 2018 22:00:00 -0000

ros-lunar-rc-genicam-api (1.3.14-0xenial) xenial; urgency=high

  * Added possibility to interrupt streaming with gc_stream by pressing 'Enter' key.
  * Undefined min/max macros in gc_pointcloud.cc on Windows to avoid compile errors

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 25 Sep 2018 22:00:00 -0000

ros-lunar-rc-genicam-api (1.3.13-0xenial) xenial; urgency=high

  * Changed output of gc_config -l to emphasize using interface and serial number as unique identifier
  * Added possibility to call a GenICam command from the command line with gc_info, gc_config and gc_stream
  * Additionally printing the internal name and display name of the GenTL producer in the gc_info tool
  * Update GEV GenTL provider from Baumer
  * Revision of readme

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 22 Aug 2018 22:00:00 -0000

ros-lunar-rc-genicam-api (1.3.12-0xenial) xenial; urgency=high

  * Getting chunk data in gc_stream and storing disparity image with all parameters for reconstruction if possible
  * Error handling in gc_stream changed by first checking for incomplete buffer and then for image present

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 17 Jul 2018 22:00:00 -0000

ros-lunar-rc-genicam-api (1.3.11-0xenial) xenial; urgency=high

  * don't install bash completion by default (doesn't work on ROS buildfarm)
  * make sure installed net_perf_check.sh script is executable

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 01 Jul 2018 22:00:00 -0000

ros-lunar-rc-genicam-api (1.3.10-0xenial) xenial; urgency=high

  * Added possibility to set GenICam parameters in gc_info too
  * Only show network summary in gc_config if called without parameters or with network related parameters
  * Corrected spelling of visard in gc_pointcloud output file name

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 27 Jun 2018 22:00:00 -0000

ros-lunar-rc-genicam-api (1.3.9-0xenial) xenial; urgency=high

  * Bash completion for UNIX and ROS
  * Relaxed synchronization in gc_pointcloud for special exposure alternate mode of rc_visard
  * Added method in image list class to request the oldest timestamp
  * Added triangulation to gc_pointcloud
  * Added parameter for output file name to gc_pointcloud
  * Fixed crashing of gc_info if enumeration does not have a value

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 14 Jun 2018 22:00:00 -0000

ros-lunar-rc-genicam-api (1.3.8-0xenial) xenial; urgency=high

  * show actually searched path instead of env var in exception if no transport layer found
  * improved README

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 17 Apr 2018 22:00:00 -0000

ros-lunar-rc-genicam-api (1.3.7-0xenial) xenial; urgency=high

  * Devices can now be discovered by serial number as well

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 08 Apr 2018 22:00:00 -0000

ros-lunar-rc-genicam-api (1.3.6-0xenial) xenial; urgency=high

  * fix path to genicam arm64 libs

 -- Felix Ruess <felix.ruess@roboception.de>  Sat, 24 Feb 2018 23:00:00 -0000

ros-lunar-rc-genicam-api (1.3.5-0xenial) xenial; urgency=high

  * add libs for arm64

 -- Felix Ruess <felix.ruess@roboception.de>  Sat, 24 Feb 2018 23:00:00 -0000

ros-lunar-rc-genicam-api (1.3.4-0xenial) xenial; urgency=high


